/*
** Copyright (c) Oracle Corporation 2000. All Rights Reserved.
**
**34567890123456789012345678901234567890123456789012345678901234567890123456789
*/
function _getColorFieldFormat(
  colorField)
{
  var name = colorField.name;
  if (name && _cfs)
  {
    var format = _cfs[name];
    var trans  = _cfts[name];
    if (format || trans)
      return new RGBColorFormat(format, trans);
  }

  return new RGBColorFormat();
}

function _fixCFF(
  colorField)
{
  var format = _getColorFieldFormat(colorField);

  if (colorField.value != "")
  {
    var value = format.parse(colorField.value);

    if (value != (void 0))
      colorField.value = format.format(value);
  }
}

